Difference between revisions of "Pyspread"

From Free Software Directory
Jump to: navigation, search
(Update to v 1.1)
Line 10: Line 10:
 
|Computer languages=Python
 
|Computer languages=Python
 
|Keywords=Python,spreadsheet,wxPython
 
|Keywords=Python,spreadsheet,wxPython
|Version identifier=1.0.3
+
|Version identifier=1.1
|Version date=2016-05-02
+
|Version date=2017-08-01
 
|Version status=stable
 
|Version status=stable
|Version download=https://pypi.python.org/packages/f9/01/a3b4be117b4ea69d0d2c96fdfff47de9a4c61ba8295ed4f4a6ca5eb60306/pyspread-1.0.3.tar.gz#md5=b240c8fb57ce7354334982266fae47b5
+
|Version download=https://pypi.python.org/packages/e6/00/a403138dafb651221c2025176d60f5d5764e729f27e6bf0ab5b6051fa408/pyspread-1.1.tar.gz#md5=e7ab9817c3e9b32c2bf99b20bb801421
 
|Last review by=Martin Manns
 
|Last review by=Martin Manns
|Last review date=2016-01-08
+
|Last review date=2017-10-03
 
|Submitted date=2011-04-01
 
|Submitted date=2011-04-01
 
|Status=
 
|Status=
Line 61: Line 61:
 
}}
 
}}
 
{{Software prerequisite
 
{{Software prerequisite
|Prerequisite kind=Weak prerequisite
+
|Prerequisite kind=Required to use
 
|Prerequisite description=python-gnupg
 
|Prerequisite description=python-gnupg
 +
}}
 +
{{Software prerequisite
 +
|Prerequisite kind=Required to use
 +
|Prerequisite description=gpg
 
}}
 
}}
 
{{Software prerequisite
 
{{Software prerequisite
Line 83: Line 87:
 
|Prerequisite kind=Weak prerequisite
 
|Prerequisite kind=Weak prerequisite
 
|Prerequisite description=pyrsvg
 
|Prerequisite description=pyrsvg
 +
}}
 +
{{Software prerequisite
 +
|Prerequisite kind=Weak prerequisite
 +
|Prerequisite description=vlc
 +
}}
 +
{{Software prerequisite
 +
|Prerequisite kind=Weak prerequisite
 +
|Prerequisite description=Python bindings for vlc
 +
}}
 +
{{Software prerequisite
 +
|Prerequisite kind=Weak prerequisite
 +
|Prerequisite description=pyenchant
 
}}
 
}}
 
{{Featured}}
 
{{Featured}}

Revision as of 16:46, 4 October 2017

[edit]

Pyspread

https://pyspread.gitlab.io/
A non-traditional Python spreadsheet application.

Pyspread is a non-traditional spreadsheet application that is based on and written in the programming language Python. The goal of pyspread is to be the most pythonic spreadsheet. Pyspread expects Python expressions in its grid cells, which makes a spreadsheet specific language obsolete. Each cell returns a Python object that can be accessed from other cells. These objects can represent anything including lists or matrices.





Licensing

License

Verified by

Verified on

Notes

License

GPLv3

Verified by

Kelly Hopkins

Verified on

4 February 2010




Leaders and contributors

Contact(s)Role
Martin Manns (Manns)Maintainer


Resources and communication

AudienceResource typeURI
Debian (Ref)https://tracker.debian.org/pkg/pyspread
Python (Ref)https://pypi.org/project/pyspread
Developerhttps://gitlab.com/pyspread/pyspread


Software prerequisites

KindDescription
Required to usePython
Required to usenumpy
Weak prerequisitepyenchant
Required to usePyQt5
Weak prerequisitematplotlib
Weak prerequisitepip

This entry (in part or in whole) was last reviewed on 18 April 2018.



Entry






Property "Submitted by" (as page type) with input value "{{{Submitted by}}}" contains invalid characters or is incomplete and therefore can cause unexpected results during a query or annotation process.















































Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the page “GNU Free Documentation License”.

The copyright and license notices on this page only apply to the text on this page. Any software or copyright-licenses or other similar notices described in this text has its own copyright notice and license, which can usually be found in the distribution or license text itself.